<?php
if (function_exists('register_sidebar')) {
		register_sidebar(array(
    		'name' => '首页内容排版区',
    		'id'   => 'index_content',
    		'description'   => '默认首页的内容排版模块，只能放入内容排版区模块',
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget'  => '</div>',
    		'before_title'  => '<h2>',
    		'after_title'   => '</h2>'
    	));
		
		register_sidebar(array(
    		'name' => '默认侧边栏',
    		'id'   => 'sidebar-widgets4',
    		'description'   => '默认两栏内页的侧边栏',
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget'  => '</div>',
    		'before_title'  => '<h2>',
    		'after_title'   => '</h2>'
    	));
			
		


	
	
	
		
    };
function unregister_default_wp_widgets() {
	unregister_widget('WP_Widget_Pages');
	unregister_widget('WP_Widget_Calendar');
	unregister_widget('WP_Widget_Archives');
	unregister_widget('WP_Widget_Links');
	unregister_widget('WP_Widget_Meta');
	unregister_widget('WP_Widget_Search');
	unregister_widget('WP_Widget_Categories');
	unregister_widget('WP_Widget_Recent_Posts');
	unregister_widget('WP_Widget_Recent_Comments');
	unregister_widget('WP_Widget_RSS');
	unregister_widget('WP_Widget_Tag_Cloud');
    unregister_widget('WP_Nav_Menu_Widget'); 
	
	if (class_exists('Woocommerce')) { 
	unregister_widget( 'WC_Widget_Cart' );
	unregister_widget( 'WC_Widget_Layered_Nav_Filters' );
	unregister_widget( 'WC_Widget_Layered_Nav' );
	unregister_widget( 'WC_Widget_Price_Filter' );
	
	unregister_widget( 'WC_Widget_Product_Search' );
	unregister_widget( 'WC_Widget_Product_Tag_Cloud' );
	unregister_widget( 'WC_Widget_Products' );
	unregister_widget( 'WC_Widget_Rating_Filter' );
	unregister_widget( 'WC_Widget_Recent_Reviews' );
	unregister_widget( 'WC_Widget_Recently_Viewed' );
	unregister_widget( 'WC_Widget_Top_Rated_Products' ); 
	
	
	
register_widget( 'WC_Widget_Price_Filter_t' );
register_widget( 'WC_Widget_Layered_Nav_t' );
	}
};

add_action('widgets_init', 'unregister_default_wp_widgets');

include_once("js/script_images.php");
include_once("widget/images.php");


include_once("widget/case_show.php");
include_once("widget/news.php");

include_once("widget/nav.php");
include_once("widget/nav_menu.php");


include_once("functions/script.php");
//include_once("loop/shopswiper.php");
if (class_exists('Woocommerce')) { 
include_once("woo-widgets/class-wc-widget-price-filter.php");
include_once("woo-widgets/class-wc-widget-layered-nav-filters.php");
include_once("woo-widgets/class-wc-widget-layered-nav.php");
include_once("woo-widgets/class-wc-widget-cart.php");
include_once("woo-widgets/class-wc-widget-recently-viewed.php");
};


class  zhida extends Walker_Nav_Menu {
  	function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		
		$class_names = $value = '';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;

		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="' . esc_attr( $class_names ) . '"';

		$output .= $indent . '<li>';

		$attributes = ! empty( $item->attr_title ) ? ' title="' . esc_attr( $item->attr_title ) .'"' : '';
	 $zd_id=str_replace('http://', '', $item->url);
		$zd_ids=str_replace('https://', '', $zd_id);
	
		$attributes .= ' class="box_' .$zd_ids.'"';
		$attributes .= ' rel=".box_' . esc_attr( $zd_ids).'"';
		 

		$item_output = $args->before;
		$item_output .= '<a'. $attributes . ' title="'.  apply_filters( 'the_title', $item->title, $item->ID ) .'">';
		 $item_output .=   apply_filters( 'the_title', $item->title, $item->ID );
		$item_output .= $args->link_before . $args->link_after;
		$item_output .= '</a>';
		$item_output .= $args->after;

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args, $id );
	}
};


 class  header_menu extends Walker_Nav_Menu {
	function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		$imgclasss=$attributes=$images_full=$imgclass='';
		$class_names = $value = ' ';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;

		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		if(!$item->attr_title){$imgclass='class="imgclass"';$imgclasss=' noft';}
	
		$class_names = ' class="' . esc_attr( $class_names ) .$imgclasss. '"';

		$output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

		
		if($item->url!='#' ){$attributes .= ! empty( $item->url ) ? ' href="' . esc_attr( $item->url ) .'"' : '';}
			$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
       if($item->attr_title =="1"){$images_full='class="images_fullss"';}
		$item_output = $args->before;
		$item_output .= '<a '. $attributes.$imgclass.'>';
		$item_output .= $args->link_before . $args->link_after;
		 if(! empty( $item->description )){$item_output .= '<figure><img '.$images_full.' src=' .'"' .  chact_url_http($item->description) .'"'.'alt="'.  apply_filters( 'the_title', $item->title, $item->ID ) . '"/><figcaption>'. apply_filters( 'the_title', $item->title, $item->ID ).'</figcaption></figure>';}
		
		  $item_output .=  '<span><i></i>'. apply_filters( 'the_title', $item->title, $item->ID ).'</span>';
		 
		
		$item_output .= '</a><div class="sub_jia"></div>';
		$item_output .= $args->after;

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args, $id );
	}
};



class  header_menu2 extends Walker_Nav_Menu {
	function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		$imgclasss=$attributes=$images_full=$imgclass='';
		$class_names = $value = ' ';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;

		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		if(!$item->attr_title){$imgclass='class="imgclass"';$imgclasss=' noft';}
	
		$class_names = ' class="' . esc_attr( $class_names ) .$imgclasss. '"';

		

		
		if($item->url!='#' ){$attributes .= ! empty( $item->url ) ? ' href="' . esc_attr( $item->url ) .'"' : '';}
			$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
       if($item->attr_title =="1"){$images_full='class="images_fullss"';}
		$item_output = $args->before;
		$item_output .= '<i></i><a '. $attributes.$imgclass.'>';
		$item_output .= $args->link_before . $args->link_after;
		 if(! empty( $item->description )){$item_output .= '<figure><img '.$images_full.' src=' .'"' .  chact_url_http($item->description) .'"'.'alt="'.  apply_filters( 'the_title', $item->title, $item->ID ) . '"/><figcaption>'. apply_filters( 'the_title', $item->title, $item->ID ).'</figcaption></figure>';}
		
		 $item_output .=  '<span>'. apply_filters( 'the_title', $item->title, $item->ID ).'</span>';
		
		
		$item_output .= '</a>';
		

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args, $id );
	}
};


class pic_full extends Walker_Nav_Menu {
	function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
		
		$class_names = $value =	$imgclasss=$attributes=$images_full=$mrfull=$onetitle=$urlss=' ';

		$classes = empty( $item->classes ) ? array() : (array) $item->classes;

		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		if($item->title=="1"){ $mrfull="adpic";};
		if(! $item->description&&!$item->attr_title){ $onetitle='onetitle';}
		$class_names = ' class="' . esc_attr( $class_names ) .' '.$mrfull.' '.$onetitle.' "';
        
		$output .= $indent . '<div class="swiper-slide">';
     
		
		if($item->url!="#"){$urlss= ' href="' . esc_attr( $item->url ).'"' ;}
		$attributes .= ! empty( $item->url ) ?  $urlss  : '';
		$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
		
		$item_output = $args->before;
		$bage='style="background:center url('. chact_url_http($item->description).')"';
		$item_output .= '<a'. $attributes.' '.$bage.'>';
		$item_output .= $args->link_before . $args->link_after;
		$imgs_alt= $item->attr_title;
		
		 $item_output .= '<img src=' .'"' . chact_url_http( $item->description ).'"'.'alt="'. $imgs_alt . '"/>';
		
		$item_output .= '</a>';
		
		$item_output .= '</div>';

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args, $id );
	}
};
 function wptuts_add_color_picker( $hook ) {
        if( is_admin() ) { 
		    wp_enqueue_media();
            wp_enqueue_style( 'wp-color-picker' ); 
            wp_enqueue_script( 'custom-script-handle', get_template_directory_uri().'/js/custom-script.js', array( 'wp-color-picker' ), false, true ); 
			

        };

    };
add_filter( 'sidebar_admin_page', 'wptuts_add_color_picker' );
add_filter( 'customize_controls_print_scripts', 'wptuts_add_color_picker' );

add_filter( 'admin_head-nav-menus.php', 'menu_image_edit_nav_menu_walker_filter', 10, 2 );
 function menu_image_edit_nav_menu_walker_filter() {
			wp_enqueue_media();
			wp_enqueue_script( 'menu-image-admin', get_template_directory_uri() ."/js/widget_upload.js" );
	};

function first_img_as_thumbnail() {
$current_tag = single_tag_title('', false);
$tags = get_tags();
foreach($tags as $tag) {
if($tag->name == $current_tag) return $tag->term_id; 
};
};
function firstimgasthumbnail() {
global $post, $posts;
$first_img = '';
ob_start();
ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches[1][0];
if(empty($first_img)){ 
$first_img = get_bloginfo('template_url').'/images/demo/vedio.gif';
}
$attachment_id = get_attachment_id_from_src(  $first_img );
return $attachment_id ;
} ;


function search_type_tp($id,$type){
	if($type=="post_tpye"){
		if($id=="category"){
			echo 'post';
			
		}elseif($id=="product_cat"){echo 'product';}
		
	}
	
	if($type=="taxonomy"){
		if($id=="category"){
			echo 'cat';
			
		}elseif($id=="product_cat"){echo 'tag_ID';}
		
	}
	
	
}


function search_span_echo($mytheme_search_cat1,$sel,$all){
	$mytheme_search_text=get_themepark_option("mytheme_search_text",'输入搜索-');
	if($all){
		?>
 <span taxonomy="0" post_type="<?php echo '0"';if($sel){echo 'class="sel"'; } ?>   category="" placeholder="<?php echo get_themepark_option('language_th5','全站搜索');  ?>"><?php echo get_themepark_option('language_th5','全站搜索'); ?>
		 </span>
		<?php
	}
	if($mytheme_search_cat1) {	
	 	 ?>
	 	 <span taxonomy="<?php search_type_tp( get_term($mytheme_search_cat1)->taxonomy,'taxonomy') ?>" post_type="<?php search_type_tp( get_term($mytheme_search_cat1)->taxonomy,'post_tpye');echo '"';if($sel){echo 'class="sel"'; } ?>   category="<?php echo $mytheme_search_cat1; ?>" placeholder="<?php echo  $mytheme_search_text.get_term($mytheme_search_cat1)->name;  ?>"><?php echo get_term($mytheme_search_cat1)->name; ?></span>
<?php
	  }
	
	
}

function load_prettyPhoto() {
		
	wp_deregister_script('prettyPhoto');
	   wp_register_script( 'prettyPhoto',get_template_directory_uri() ."/js/jquery.prettyPhoto.min.js",false, '', true);
	   wp_enqueue_script('prettyPhoto');
	
	wp_deregister_script('prettyPhotos');
	   wp_register_script( 'prettyPhotos',get_template_directory_uri() ."/js/jquery.prettyPhoto.init.min.js",false, '', true);
	   wp_enqueue_script('prettyPhotos');
	
	
	    wp_deregister_style('prettyPhoto');
	   wp_register_style( 'prettyPhoto', get_template_directory_uri() .'/css/prettyPhoto.css');
	   wp_enqueue_style('prettyPhoto');
	   wp_deregister_style('swiper');
	
}

add_action('wp_print_styles', 'load_prettyPhoto');