<?php
function mytheme_header_options($wp_customize){
		$wp_customize->add_section('mytheme_header_options', array(
        'title'    => __('网站顶部设置', 'mytheme'),
        'description' => '通过这个选项设置网站顶部的样式和内容
		</br> </br>需要帮助？<a target="_blank" href="https://www.themepark.com.cn/wkscwoocommercegjztspjc.html">[观看视频教程]</a>',
        'priority' => 60,
    ));

	class Ari_Customize_Textarea_Control extends WP_Customize_Control {
  public $type = 'textarea';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
    <textarea rows="5" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value()); ?></textarea>
  </label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}



class Ari_Customize_select_nav_Control extends WP_Customize_Control {
  public $type = 'select_nav';
  public function render_content() {

 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   
    
    <select style="width:100%;" <?php $this->link(); ?>>
			<option value="0">请选择一个菜单</option>
		<?php
		$big_pic_nav= $this->value();
		$menus = wp_get_nav_menus( array( 'orderby' => 'name' ) );
			foreach ( $menus as $menu ) {
				echo '<option value="' . $menu->term_id . '"'
					. selected( $big_pic_nav, $menu->term_id, false )
					. '>'. esc_html( $menu->name ) . '</option>';
			}
		?>
			</select> 
    
    
    
  </label>
  <p><?php 
  if(!$big_pic_nav){$big_pic_nav=0;};
  $url='href="'.admin_url().'/nav-menus.php?action=edit&menu='.$big_pic_nav.'"';
  echo esc_html( $this->description); echo'<br><a '.$url.' class="button" >进入菜单进行编辑或者创建</a>';?></p>
<?php 
  }
}

class Ari_Customize_select_pages extends WP_Customize_Control {
  public $type = 'select_pages';
  public function render_content() {
$page_ids=esc_textarea( $this->value()); 
 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   

             <select <?php $this->link(); ?> >
              <option value=''<?php if ($page_ids == "" ) {echo "selected='selected'";}?> >请选择</option>
             <?php 
			
		$pages = get_pages();
		foreach( $pages AS $page ) { 
		 $page_id=$page->ID;
		  $page_name=$page->post_title;
		?>
       
			<option 
				value='<?php echo  $page_id; ?>'
				<?php
					if ( $page_ids == $page_id ) {
						echo "selected='selected'";
					}
				?>><?php echo $page_name; ?></option>
		<?php } ?>
   
	</select></label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}

	
	
	class Ari_Customize_select_cat extends WP_Customize_Control {
  public $type = 'select_cat';
  public function render_content() {
$cat_ids=esc_textarea( $this->value()); 
 ?>
  <label>
    <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
   

             <select <?php $this->link(); ?> >
              <option value=''<?php if ($cat_ids == "" ) {echo "selected='selected'";}?> >请选择</option>
             <?php 
			
		$cats = get_terms( array(
    'taxonomy' => 'category',
    'hide_empty' => false,
));
		foreach( $cats AS $catr ) { 
		 $cat_id=$catr->term_id;
		  $cat_name=get_term($cat_id)->name;
		?>
       
			<option 
				value='<?php echo  $cat_id; ?>'
				<?php
					if ( $cat_ids == $cat_id ) {
						echo "selected='selected'";
					}
				?>><?php echo $cat_name; ?></option>
		<?php } 
				 
				 	$cats2 = get_terms( array(
    'taxonomy' => 'product_cat',
    'hide_empty' => false,
));
		foreach( $cats2 AS $catr ) { 
		 $cat_id=$catr->term_id;
		  $cat_name=get_term($cat_id)->name;
		?>
       
			<option 
				value='<?php echo  $cat_id; ?>'
				<?php
					if ( $cat_ids == $cat_id ) {
						echo "selected='selected'";
					}
				?>><?php echo $cat_name; ?></option>
		<?php } ?>
				 
			
		
		
		
   
	</select></label>
  <p><?php echo esc_html( $this->description); ?></p>
<?php 
  }
}
	
	
	
	
	


class Ari_Customize_fengexian_Control extends WP_Customize_Control {
  public $type = 'fengexian';
  public function render_content() {

 ?>
 <div style="width:100%; background:#333; margin:15px 0; height:1px;"></div>
  
<?php 
  }
}





$wp_customize->add_setting('mytheme_top_text1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_top_text1', array(
         'label'      => __('最顶部欢迎语', 'mytheme_top_text1'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_text1',
         'description' => '填写欢迎语，如：欢迎来到WEB主题公园！',
      ));
	

	

 $wp_customize->add_setting('mytheme_top_languge_nav', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_top_languge_nav', array(
        'label'    => __('顶部右侧菜单', 'mytheme_top_languge_nav'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_top_languge_nav',
		'description' => '在最顶部的【购物车】之后的菜单',
     )
    )); 





  $wp_customize->add_setting('mytheme_logo', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo', array(
        'label'    => __('电脑版本logo上传[尺寸高度：79px，宽度不要超过200px]', 'mytheme_logo'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo',
     )
    )); 
	
	
 $wp_customize->add_setting('mytheme_logo2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_logo2', array(
        'label'    => __('手机版本logo上传[尺寸高度：70px*70px]', 'mytheme_logo2'),
        'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_logo2',
     )
    )); 	
//----------------------------logo------------------------------------------------	
	
	
	
	
	$wp_customize->add_setting('mytheme_search_text', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_search_text', array(
         'label'      => __('搜索提示语', 'mytheme_search_text'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_text',
         'description' => '如：请搜索',
      ));
	
	
	$wp_customize->add_setting('mytheme_search_text2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_search_text2', array(
         'label'      => __('搜索提示语(搜索框内)', 'mytheme_search_text2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_text2',
         'description' => '如：请搜索',
      ));
	
	
	 $wp_customize->add_setting('mytheme_search_cat1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat1', array(
        'label'    => __('搜索分类1', 'mytheme_search_cat1'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat1',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则是搜索全站】',
     )
    )); 

	
	
		 $wp_customize->add_setting('mytheme_search_cat2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat2', array(
        'label'    => __('搜索分类2', 'mytheme_search_cat2'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat2',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 

	
		 $wp_customize->add_setting('mytheme_search_cat3', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat3', array(
        'label'    => __('搜索分类3', 'mytheme_search_cat3'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat3',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 

	
	
	
		 $wp_customize->add_setting('mytheme_search_cat4', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat4', array(
        'label'    => __('搜索分类4', 'mytheme_search_cat4'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat4',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 

	
		 $wp_customize->add_setting('mytheme_search_cat5', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_cat($wp_customize, 'mytheme_search_cat5', array(
        'label'    => __('搜索分类5', 'mytheme_search_cat5'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_search_cat5',
		'description' => '你可以设置5个分类应用于搜索上，用户可以点击进行切换，【这个选项不选择则不显示】',
     )
    )); 
	
	

	
	
	$wp_customize->add_setting('mytheme_scontetnt_icon1', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_scontetnt_icon1', array(
        'label'    => __('在线客服icon1', 'mytheme_scontetnt_icon1'),
       'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_scontetnt_icon1',
     )
    )); 
	
	
	
	
	
	
	$wp_customize->add_setting('mytheme_scontetnt_text', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_scontetnt_text', array(
         'label'      => __('欢迎使用', 'mytheme_scontetnt_text'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_scontetnt_text',
         'description' => '欢迎使用',
      ));
	
		
	$wp_customize->add_setting('mytheme_scontetnt_text2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_scontetnt_text2', array(
         'label'      => __('在线客服', 'mytheme_scontetnt_text2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_scontetnt_text2',
         'description' => '在线客服',
      ));
	
	
	
	
	
	
		$wp_customize->add_setting('mytheme_scontetnt_icon2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_scontetnt_icon2', array(
        'label'    => __('在线客服icon2', 'mytheme_scontetnt_icon1'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_scontetnt_icon2',
     )
    )); 
	
	
	
	
	
	
	$wp_customize->add_setting('mytheme_scontetnt_2text', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_scontetnt_2text', array(
         'label'      => __('24小时热线电话', 'mytheme_scontetnt_2text'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_scontetnt_2text',
         
      ));
	
		
	$wp_customize->add_setting('mytheme_scontetnt_2text2', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_scontetnt_2text2', array(
         'label'      => __('4001-888-988', 'mytheme_scontetnt_2text2'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_scontetnt_2text2',
         'description' => '电话号码',
      ));
	
	
	
	$wp_customize->add_setting('mytheme_drop_nav_title', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_drop_nav_title', array(
         'label'      => __('折叠菜单标题', 'mytheme_drop_nav_height'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_drop_nav_title',
         'description' => '默认为：全部产品分类',
      ));
	
	
	
	$wp_customize->add_setting('mytheme_drop_nav_height', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( 'mytheme_drop_nav_height', array(
         'label'      => __('折叠菜单高度', 'mytheme_drop_nav_height'),
          'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_drop_nav_height',
         'description' => '折叠菜单在pc端的高度，填写纯数字，单位为像素',
      ));
	
	
	
	
	  $wp_customize->add_setting('mytheme_drop_nav_modle', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control('mytheme_drop_nav_modle', array(
        'label'      => __('导航下拉菜单设置', 'mytheme_drop_nav_modle'),
        'section'  => 'mytheme_header_options',
        'settings'   => 'mytheme_drop_nav_modle',
		'type'    => 'select',
		 'choices'    => array(
            '' => '默认首页展开不可点击收起',
            'value2' => '首页展开可点击收起',
			'value3' => '首页关闭可点击收起',
           
        ),
    )); 
	
	$wp_customize->add_setting('mytheme_zhida_nav', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new Ari_Customize_select_nav_Control($wp_customize, 'mytheme_zhida_nav', array(
        'label'    => __('首页直达', 'mytheme_zhida_nav'),
      'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_zhida_nav',
		'description' => '首页直达菜单，建立一个菜单，显示在左侧，点击按钮可以直达模块',
     )
    ));  
	
	
	
	 $wp_customize->add_setting('mytheme_header_all_color', array(
	    'default'        =>   '#ea471c',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_header_all_color', array(
        'label'    => __('顶部默认颜色切换', 'mytheme_header_all_color'),
         'section'  => 'mytheme_header_options',
        'settings' => 'mytheme_header_all_color',
    )));	
	
	
 //----------------------------pc text------------------------------------------------	  
};
add_action('customize_register', 'mytheme_header_options');
?>