<?php 
class images_index extends WP_Widget {

	function __construct()
	{
		$widget_ops = array('classname'=>'images_index','description' => get_bloginfo('template_url').'/images/xuanxiang/6.gif');
		$control_ops = array('width' => 200, 'height' => 300);
		parent::__construct($id_base="images_index",$name='幻灯片',$widget_ops,$control_ops);  

	}

	function form($instance) { 
	   
		 $w_id= esc_attr($instance['w_id']);
         $title= esc_attr($instance['title']);
		 $img_nb= esc_attr($instance['img_nb']);
		 $modle= esc_attr($instance['modle']);
		 $height= esc_attr($instance['height']);
		 $autoplay= esc_attr($instance['autoplay']);
		 $effect= esc_attr($instance['effect']);
		
		$detects=esc_attr($instance['detects']);
		 $margin_up=esc_attr($instance['margin_up']);
		 $margin_dwon=esc_attr($instance['margin_dwon']);
		
	for ($x=0; $x<=($img_nb-1); $x++) {
		${'img_pic'.$x}= esc_attr($instance['img_pic'.$x]);
		${'img_picm'.$x}= esc_attr($instance['img_picm'.$x]);
		${'img_vedio'.$x}= esc_attr($instance['img_vedio'.$x]);
		${'img_title_b'.$x}= esc_attr($instance['img_title_b'.$x]);
		${'img_title_s'.$x}= esc_attr($instance['img_title_s'.$x]);
		${'img_title_m'.$x}= esc_attr($instance['img_title_m'.$x]);
	    ${'img_title_t'.$x}= esc_attr($instance['img_title_t'.$x]);
		${'img_title_r'.$x}= esc_attr($instance['img_title_r'.$x]);
	}
	
	?>

<br />
<p>----------幻灯片初始化设置----------</p>

<p>
 <label  for="<?php echo $this->get_field_id('w_id'); ?>">幻灯片数字ID:</label><br />
 <input type="text" size="40" value="<?php echo $w_id ; ?>" name="<?php echo $this->get_field_name('w_id'); ?>" id="<?php echo $this->get_field_id('w_id'); ?>"/>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">如果你使用了多个幻灯片模块，请输入数字ID，让程序能够分辨多个幻灯片。比如放置了2个幻灯片，第一个幻灯片ID填写1，第二个填写2依次类推。</em>

</p>

<p>
 <label  for="<?php echo $this->get_field_id('title'); ?>">幻灯片标题:</label><br />
 <input type="text" size="40" value="<?php echo $title ; ?>" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>"/>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">这里的幻灯片标题作为后台区分使用，不会显示在网站上，请注意</em>

</p>

<p>
 <label  for="<?php echo $this->get_field_id('img_nb'); ?>">显示数量:</label><br />
 <input type="text" size="40" value="<?php echo $img_nb ; ?>" name="<?php echo $this->get_field_name('img_nb'); ?>" id="<?php echo $this->get_field_id('img_nb'); ?>"/>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">需要显示多少张幻灯片，填写之后请保存。</em>

</p>





<p>
 <label  for="<?php echo $this->get_field_id('height'); ?>">幻灯片高度:</label><br />
 <input type="text" size="40" value="<?php echo $height ; ?>" name="<?php echo $this->get_field_name('height'); ?>" id="<?php echo $this->get_field_id('height'); ?>"/>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">背景图模式下有效，输入纯数字，单位为像素</em>

</p>
	
<p>
 <label  for="<?php echo $this->get_field_id('autoplay'); ?>">自动播放:</label><br />
 <input type="text" size="40" value="<?php echo $autoplay ; ?>" name="<?php echo $this->get_field_name('autoplay'); ?>" id="<?php echo $this->get_field_id('autoplay'); ?>"/>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">默认无自动播放，填写纯数字，比如填写3，则3秒切换一次；</em>

</p>	
	
	
<p>
<label for="<?php echo $this->get_field_id('effect'); ?>">幻灯片特效</label>
			<select id="<?php echo $this->get_field_id('effect'); ?>" name="<?php echo $this->get_field_name('effect'); ?>">
				<option <?php if($effect==''){echo 'selected="selected"';} ?>value="">默认3D折叠动画效果</option>
                <option <?php if($effect=='fade'){echo 'selected="selected"';} ?>value="fade">淡入淡出效果</option>
               

</select>

<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">一般幻灯片宽度为1920像素，使用背景图片的幻灯片需要输入幻灯片高度，等比例幻灯片无法插入背景视频。</em>
</p>
	
	
	<p>
<label for="<?php echo $this->get_field_id('detects'); ?>">设备识别</label>
			<select id="<?php echo $this->get_field_id('detects'); ?>" name="<?php echo $this->get_field_name('detects'); ?>">
				<option <?php if($detects==''){echo 'selected="selected"';} ?>value="">移动端和PC端都显示</option>
                <option <?php if($detects=='PcOnly'){echo 'selected="selected"';} ?>value="PcOnly">只显示在PC端</option>
                <option <?php if($detects=='MovePnly'){echo 'selected="selected"';} ?> value="MovePnly">只显示在移动端</option>

</select>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">通过这个选项，你可以让某些模块只显示在某一个设备类型上，或者都显示</em>
</p>
	
<p>
  <label  for="<?php echo $this->get_field_id('margin_up'); ?>">模块上边距：</label><br />
 <input type="text" size="40" value="<?php echo $margin_up ; ?>" name="<?php echo $this->get_field_name('margin_up'); ?>" id="<?php echo $this->get_field_id('margin_up'); ?>"/>
 </p>
<p>
 <label  for="<?php echo $this->get_field_id('margin_dwon'); ?>">模块下边距:</label><br />
 <input type="text" size="40" value="<?php echo $margin_dwon; ?>" name="<?php echo $this->get_field_name('margin_dwon'); ?>" id="<?php echo $this->get_field_id('margin_dwon'); ?>"/>
 </p>

 <em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">上下默认无边距，填写数字带有单位，如 30px</em>


	<?php 	for ($x=0; $x<=($img_nb-1); $x++) { ?>
<div  class="btnsss"  style=" padding:10px 2%; background:#f0f0f0; width:95%; border:solid 1px #ccc; margin:10px 0; overflow:hidden; cursor:pointer;">
<img style="max-height: 20px; width: auto; float: left; margin-right: 5px;" src="<?php echo ${'img_pic'.$x} ; ?>" /><strong style="float:left; ">第<?php echo $x+1; ?>张幻灯片</strong>

<span style="float:right;">+展开</span>
</div>	
<div class="searchbox" style="display:none; background:#f0f0f0; width:96%; padding:2%;">

<p>

 <label  for="<?php echo $this->get_field_id('img_pic'.$x); ?>">幻灯片主图片:</label><br />
 <?php if( ${'img_pic'.$x}){?><img style="height: auto; max-width:80%;  margin-right: 5px;" src="<?php echo ${'img_pic'.$x} ; ?>" /><br><?php };?>
 <input type="text" size="40" value="<?php echo ${'img_pic'.$x} ; ?>" name="<?php echo $this->get_field_name('img_pic'.$x); ?>" id="<?php echo $this->get_field_id('img_pic'.$x); ?>"/>
  <a id="ashu_upload" class="left_right_upload_button button" href="#">上传</a>
</p>
<p>
 <label  for="<?php echo $this->get_field_id('img_title_r'.$x); ?>">主幻灯片链接</label><br />
<input type="text" size="40" value="<?php echo ${'img_title_r'.$x} ; ?>" name="<?php echo $this->get_field_name('img_title_r'.$x); ?>" id="<?php echo $this->get_field_id('img_title_r'.$x); ?>"/>
<em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">填写链接，以http开头，不填写则无链接。</em>
</p>
	<p>----------------------</p>
<p>
 <label  for="<?php echo $this->get_field_id('img_picm'.$x); ?>">幻灯片右侧广告小图1（可选）:</label><br />
 <?php if( ${'img_picm'.$x}){?><img style="height: auto; max-width:100px;  margin-right: 5px;" src="<?php echo ${'img_picm'.$x} ; ?>" /><br><?php };?>
 <input type="text" size="40" value="<?php echo ${'img_picm'.$x} ; ?>" name="<?php echo $this->get_field_name('img_picm'.$x); ?>" id="<?php echo $this->get_field_id('img_picm'.$x); ?>"/>
  <a id="ashu_upload" class="left_right_upload_button button" href="#">上传</a>
 
</p>
<p>
 <label  for="<?php echo $this->get_field_id('img_title_b'.$x); ?>">幻灯片右侧广告小图1链接</label><br />
 
<input type="text"size="40" id="<?php echo $this->get_field_id('img_title_b'.$x); ?>" name="<?php echo $this->get_field_name('img_title_b'.$x); ?>"value="<?php echo ${'img_title_b'.$x}; ?>" >
</p>
<p>----------------------</p>
<p>
 <label  for="<?php echo $this->get_field_id('img_vedio'.$x); ?>">幻灯片右侧广告小图2（可选）:</label><br />
  <?php if( ${'img_vedio'.$x}){?><img style="height: auto; max-width:100px;  margin-right: 5px;" src="<?php echo ${'img_vedio'.$x} ; ?>" /><br><?php };?>
 <input type="text" size="40" value="<?php echo ${'img_vedio'.$x} ; ?>" name="<?php echo $this->get_field_name('img_vedio'.$x); ?>" id="<?php echo $this->get_field_id('img_vedio'.$x); ?>"/>
  <a id="ashu_upload" class="left_right_upload_button button" href="#">上传</a>
  <em style="padding:3px; background:#FCF3E4; border:solid 1px #F0D8BF; display:block;">2个小图只有pc端有效。</em>
</p>

<p>
 <label  for="<?php echo $this->get_field_id('img_title_b'.$x); ?>">幻灯片右侧广告小图2链接</label><br />
<input type="text" size="40"id="<?php echo $this->get_field_id('img_title_s'.$x); ?>" name="<?php echo $this->get_field_name('img_title_s'.$x); ?>"value="<?php echo ${'img_title_s'.$x} ?>" >
</p>

<p>----------------------</p>

</div>




<?php
										  }
		}
	function update($new_instance, $old_instance) { // 更新保存
		return $new_instance;
	}
	function widget($args, $instance) { // 输出显示在页面上
	extract( $args );
		  $margin_dwon=$seo_out1=$margins=''; 
	     $title  = apply_filters('widget_title', empty($instance['title']) ? __('') : $instance['title']);
		 $img_nb=  apply_filters('img_nb', empty($instance['img_nb']) ? __('') : $instance['img_nb']);
		 $modle=  apply_filters('modle', empty($instance['modle']) ? __('') : $instance['modle']);
		 $height=  apply_filters('height', empty($instance['height']) ? __('') : $instance['height']);
		 $w_id= apply_filters('w_id', empty($instance['w_id']) ? __('') : $instance['w_id']);
		 $autoplay= apply_filters('autoplay', empty($instance['autoplay']) ? __('') : $instance['autoplay']);
		 $effect= apply_filters('effect', empty($instance['effect']) ? __('') : $instance['effect']);
		 $detects= apply_filters('detects', empty($instance['detects']) ? __('0') : $instance['detects']); 
		 $margin_up=apply_filters('margin_up', empty($instance['margin_up']) ? __('') : $instance['margin_up']);
		 $margin_dwon=apply_filters('margin_dwon', empty($instance['margin_dwon']) ? __('') : $instance['margin_dwon']);
		
		for ($x=0; $x<=($img_nb-1); $x++) {
		${'img_pic'.$x}=  apply_filters('img_pic'.$x, empty($instance['img_pic'.$x]) ? __('') : $instance['img_pic'.$x]);
		${'img_picm'.$x}=  apply_filters('img_picm'.$x, empty($instance['img_picm'.$x]) ? __('') : $instance['img_picm'.$x]);
		${'img_vedio'.$x}=  apply_filters('img_vedio', empty($instance['img_vedio'.$x]) ? __('') : $instance['img_vedio'.$x]);
		${'img_title_b'.$x}=  apply_filters('img_title_b', empty($instance['img_title_b'.$x]) ? __('') : $instance['img_title_b'.$x]);
		${'img_title_s'.$x}=  apply_filters('img_title_s', empty($instance['img_title_s'.$x]) ? __('') : $instance['img_title_s'.$x]);
		${'img_title_m'.$x}=  apply_filters('img_title_m', empty($instance['img_title_m'.$x]) ? __('') : $instance['img_title_m'.$x]);
	    ${'img_title_t'.$x}=  apply_filters('img_title_t', empty($instance['img_title_t'.$x]) ? __('') : $instance['img_title_t'.$x]);
		${'img_title_r'.$x}=  apply_filters('img_title_r', empty($instance['img_title_r'.$x]) ? __('') : $instance['img_title_r'.$x]);
		
		}
		
		if($margin_up||$margin_dwon){$marginss ='padding:'.$margin_up.' 0 '.$margin_dwon.' 0;';}
		
		if($margin_up||$margin_dwon){
			$margins ='style="'.$marginss.'"';}
		
		
		
		?>

<?php if($seo_out1){echo '<section id="images_index" class="index_boxs '.$detects.'" '.$margins.'>';}else{echo ' <div id="images_index" class="index_boxs '.$detects.' "'.$margins.'>';} ?>  

<div class="swiper-container index_pics<?php echo $w_id; ?>">
	<div class="swiper-wrapper">
		
		<?php for ($x=0; $x<=($img_nb-1); $x++) {
		if(${'img_title_r'.$x}){$lins='href="'.${'img_title_r'.$x}.'" target="_blank"';}else{$lins='';}
		?>
	   
		   <div   class="swiper-slide" <?php  echo 'style="height:'.$height.'px;"'; ;?> >
		   	
		
		   	 <div class="pic_text_box <?php echo ${'img_title_m'.$x}; ?>" >
		   	  <div class="pic_text_box_in" >
				<?php if( ${'img_picm'.$x}){ ?> <a class="pic_box pic_box1" href="<?php echo 	${'img_title_b'.$x} ?>"><img src=" <?php echo  chact_url_http(${'img_picm'.$x}) ; ?>" /></a>
		   	     	<?php } if( ${'img_vedio'.$x}){ ?> 
		   	     	 <a class="pic_box pic_box2" href="<?php echo 	${'img_title_s'.$x} ?>"><img src=" <?php echo  chact_url_http(${'img_vedio'.$x}) ; ?>" />
		   	     	 
		   	     	 </a>
		   	 <?php } ?>
		   	 </div>
		   	 	</div>
		   		 	
		   	
		   	 
		   	 <a <?php echo $lins; ?> class="images_background"<?php if($modle==''){ echo 'style="height:'.$height.'px;background-image:  url('. chact_url_http(${'img_pic'.$x}).');"'; };?>>
		   	<img src=" <?php echo  chact_url_http(${'img_pic'.$x}) ; ?>" />
		   	 </a>
		
		   </div>
		
		<?php } ?>
		 
	</div>
	 <a class="index_next" ></a>
          <a class="index_prve"></a>
           <div class="pagination_out"><div class=" box_in img_menu_pagination pagination paginations<?php echo $w_id; ?>"></div></div>

</div>



 <?php if($seo_out1){echo '</section>';}else{echo '</div>';} 
		
ob_start();
images_swipers($w_id,$autoplay,$effect);  // PHPinfo被送到缓冲区
$info = ob_get_contents(); // 取得输出缓冲区中的数据
ob_end_clean();
		
		$loads= new 	load_script_in_footer();
		
		 $loads->code=$info;
		 $loads->loads_script_onfoots();
		?>


<?php
	}
}
register_widget('images_index');
?>